ODFPY 1.2.0 |

Loading...
Searching...
No Matches
Functions
odf.office Namespace Reference

## Functions
| Annotation (**args)
| AnnotationEnd (**args)
| AutomaticStyles (**args)
| BinaryData (**args)
| Body (**args)
| ChangeInfo (**args)
| Chart (**args)
| DdeSource (**args)
| Document (version="1.2", **args)
| DocumentContent (version="1.2", **args)
| DocumentMeta (version="1.2", **args)
| DocumentSettings (version="1.2", **args)
| DocumentStyles (version="1.2", **args)
| Drawing (**args)
| EventListeners (**args)
| FontFaceDecls (**args)
| Forms (**args)
| Image (**args)
| MasterStyles (**args)
| Meta (**args)
| Presentation (**args)
| Script (**args)
| Scripts (**args)
| Settings (**args)
| Spreadsheet (**args)
| Styles (**args)
| Text (**args)

## Function Documentation

## ◆ Annotation()

odf.office.Annotation | ( | ** | args | ) |

Definition at line 26 of file office.py.

## ◆ AnnotationEnd()

odf.office.AnnotationEnd | ( | ** | args | ) |

Definition at line 29 of file office.py.

## ◆ AutomaticStyles()

odf.office.AutomaticStyles | ( | ** | args | ) |

Definition at line 32 of file office.py.

Here is the caller graph for this function:

## ◆ BinaryData()

odf.office.BinaryData | ( | ** | args | ) |

Definition at line 35 of file office.py.

## ◆ Body()

odf.office.Body | ( | ** | args | ) |

Definition at line 38 of file office.py.

## ◆ ChangeInfo()

odf.office.ChangeInfo | ( | ** | args | ) |

Definition at line 41 of file office.py.

## ◆ Chart()

odf.office.Chart | ( | ** | args | ) |

Definition at line 44 of file office.py.

Here is the caller graph for this function:

## ◆ DdeSource()

odf.office.DdeSource | ( | ** | args | ) |

Definition at line 47 of file office.py.

## ◆ Document()

odf.office.Document | ( |  | version = `"1.2"`,
|  | ** | args
| ) |  |

Definition at line 50 of file office.py.

## ◆ DocumentContent()

odf.office.DocumentContent | ( |  | version = `"1.2"`,
|  | ** | args
| ) |  |

Definition at line 53 of file office.py.

Here is the caller graph for this function:

## ◆ DocumentMeta()

odf.office.DocumentMeta | ( |  | version = `"1.2"`,
|  | ** | args
| ) |  |

Definition at line 56 of file office.py.

Here is the caller graph for this function:

## ◆ DocumentSettings()

odf.office.DocumentSettings | ( |  | version = `"1.2"`,
|  | ** | args
| ) |  |

Definition at line 59 of file office.py.

Here is the caller graph for this function:

## ◆ DocumentStyles()

odf.office.DocumentStyles | ( |  | version = `"1.2"`,
|  | ** | args
| ) |  |

Definition at line 62 of file office.py.

Here is the caller graph for this function:

## ◆ Drawing()

odf.office.Drawing | ( | ** | args | ) |

Definition at line 65 of file office.py.

Here is the caller graph for this function:

## ◆ EventListeners()

odf.office.EventListeners | ( | ** | args | ) |

Definition at line 68 of file office.py.

## ◆ FontFaceDecls()

odf.office.FontFaceDecls | ( | ** | args | ) |

Definition at line 71 of file office.py.

## ◆ Forms()

odf.office.Forms | ( | ** | args | ) |

Definition at line 74 of file office.py.

## ◆ Image()

odf.office.Image | ( | ** | args | ) |

Definition at line 77 of file office.py.

Here is the caller graph for this function:

## ◆ MasterStyles()

odf.office.MasterStyles | ( | ** | args | ) |

Definition at line 80 of file office.py.

## ◆ Meta()

odf.office.Meta | ( | ** | args | ) |

Definition at line 83 of file office.py.

## ◆ Presentation()

odf.office.Presentation | ( | ** | args | ) |

Definition at line 86 of file office.py.

Here is the caller graph for this function:

## ◆ Script()

odf.office.Script | ( | ** | args | ) |

Definition at line 89 of file office.py.

## ◆ Scripts()

odf.office.Scripts | ( | ** | args | ) |

Definition at line 92 of file office.py.

## ◆ Settings()

odf.office.Settings | ( | ** | args | ) |

Definition at line 95 of file office.py.

## ◆ Spreadsheet()

odf.office.Spreadsheet | ( | ** | args | ) |

Definition at line 98 of file office.py.

Here is the caller graph for this function:

## ◆ Styles()

odf.office.Styles | ( | ** | args | ) |

Definition at line 101 of file office.py.

## ◆ Text()

odf.office.Text | ( | ** | args | ) |

Definition at line 104 of file office.py.

Here is the caller graph for this function: